> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/references/database-information-and-organization/user-input-delay.md).

# ユーザー入力遅延

CPU、メモリ、ディスクの入力または出力といった標準的なシステムヘルスメトリクスのみに基づいてパフォーマンスの劣化を判断するのは難しい作業です。 例えば、仮想デスクトップでは、標準的なメトリクスが体感されたパフォーマンスとしばしば一致しません。

Nexthink ソリューションは、ユーザー入力遅延セッションごとにWindowsパフォーマンスカウンタを監視することで、Windowsセッションの応答性を測定します。 このカウンタは、マウスやキーボードを使用しているユーザー入力がプロセスによって取得されるまでに待機する時間を測定します。 その値はローカルおよびリモートのセッションで利用可能です。

### 設定 <a href="#userinputdelay-configuration" id="userinputdelay-configuration"></a>

デフォルトで、Collectorはユーザーアクティビティメトリクスの一部としてユーザー入力遅延の値を報告します。 ユーザーアクティビティレポートを無効にすることで、監視を停止できます。 手順については、[Collector レベルの匿名化を設定する](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/configuring-collector-level-anonymization.md)ページを参照してください。

### サポートされているオペレーティングシステム <a href="#userinputdelay-supportedoperatingsystems" id="userinputdelay-supportedoperatingsystems"></a>

すべてのサポートされているWindowsバージョン:

* Windows 11
* Windows Server 2022

### NQL の例 <a href="#userinputdelay-nqlexample" id="userinputdelay-nqlexample"></a>

```
過去24時間のデバイス
| セッション.eventsと共に
| 計算
    medium_ratio = duration_with_medium_user_input_delay.sum()/user_interaction_time.sum(),
    high_ratio = duration_with_high_user_input_delay.sum() / user_interaction_time.sum()
| medium_ratio > 0.10 または high_ratio > 0.05 の場合
| リスト デバイス.name, medium_ratio, high_ratio
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/references/database-information-and-organization/user-input-delay.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
